#2023/6/16
## FastAPI 0.95.2 框架开发说明


### 概述
项目采用FastAPI 0.95.2框架开发，采用Python 3.7及以上版本。项目继承原生框架是一款轻型、快速的微服务项目，数据库采用SQLAlchemy ORM，
侧重用于轻型配置中心类服务项目，天生对云原生友好，部署采用容器化部署，上云原生是相当丝滑。


### 1. 目录说明：
1.1. app，该目录包含整个应用的主要代码。   
1.1.2. api，这是处理API端点的代码的目录。    
1.1.3. core，包含应用程序的核心功能代码。    
1.1.4. crud，存放CRUD操作文件的目录。 
1.1.5. db，用于存放数据库底层相关的功能代码。
1.1.6. models，存放数据模型文件的目录。
1.1.7. schemas，用于定义请求和响应的数据结构。
1.1.8. tests，测试代码的目录。
1.1.9. utils，存放工具函数文件的目录。
    

### 2. 接口规划说明   
2.1 接口采用版本方式，GET方式请求，示例：   
```shell
    * /api/v1/demos/
```


### 3. 配置说明   
3.1 源于服务上云原生，项目配置采用环境变量的方式，本地开发可以设置默认值，线上环境需要设置环境变量。


### 4. 容器说明   
4.1 启动容器   
```shell
# 启动服务
docker run -d --name demo-eff -p 8051:8051 image:tag
```
