# -*- coding: utf-8 -*-
# @Time    : 2023/6/4 23:01
# @Author  : Jieay
# @File    : __init__.py
"""
CRUD 是指创建（Create）、读取（Read）、更新（Update）和删除（Delete）这四个基本数据库操作的缩写。它是对常见的数据操作进行概括和归纳，
是软件开发中经常涉及的核心操作之一。

以下是 CRUD 操作的作用和含义：

1. 创建（Create）：将数据存储到数据库中，创建新的记录或对象。这包括插入新的数据行、创建新的文档或资源等。

2. 读取（Read）：从数据库中获取数据，检索已存在的记录或对象。这包括查询特定条件下的数据行、获取特定文档或资源的内容等。

3. 更新（Update）：更新数据库中已有的数据，修改已存在的记录或对象。这包括修改数据行的字段值、更新文档的内容或资源的属性等。

4. 删除（Delete）：从数据库中删除数据，移除已存在的记录或对象。这包括删除特定条件下的数据行、删除文档或资源等。

CRUD 操作是对数据库进行基本的数据处理，它们是构建应用程序和管理数据的核心操作。通过使用这些操作，我们可以对数据进行创建、读取、更新和删除，
实现数据的持久化和维护。在软件开发中，CRUD 操作常常与数据库操作和应用程序的业务逻辑紧密结合，用于实现数据的管理、处理和展示。
"""
from .crud_user import user
